com.tibbo.aggregate.common.data

## Class Data

- java.lang.Object
- - com.tibbo.aggregate.common.data.Data

- All Implemented Interfaces:
    PublicCloneable, StringEncodable, java.lang.Cloneable

      public class Data
      extends java.lang.Object
      implements java.lang.Cloneable, PublicCloneable, StringEncodable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Float` | `BUFFER_MULTIPLIER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Data()`
    `Data(byte[] data)`
    `Data(java.lang.Long id)`
    `Data(java.lang.String value)`
    `Data(java.lang.String name, byte[] data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Data` | `clone()`
    `java.lang.String` | `encode()`
    `java.lang.StringBuilder` | `encode(java.lang.StringBuilder sb, ClassicEncodingSettings settings, java.lang.Boolean isTransferEncode, java.lang.Integer encodeLevel)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `estimateDataSize()`
    `byte[]` | `fetchData(ContextManager cm, CallerController cc)`
    `byte[]` | `fetchPreviewData(ContextManager cm, CallerController cc)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getAttachments()`
    `byte[]` | `getBlob()`
    `byte[]` | `getData()`
    `java.lang.Long` | `getId()`
    `java.lang.String` | `getName()`
    `byte[]` | `getPreview()`
    `int` | `hashCode()`
    `boolean` | `isShallowCopy()`
    `void` | `releaseData()`
    `void` | `setAttachments(java.util.Map<java.lang.String,java.lang.Object> attachments)`
    `void` | `setBlob(byte[] blob)`
    `void` | `setData(byte[] data)`
    `void` | `setId(java.lang.Long id)`
    `void` | `setName(java.lang.String name)`
    `void` | `setPreview(byte[] preview)`
    `void` | `setShallowCopy(boolean shallowCopy)`
    `java.lang.String` | `toCleanString()`
    `java.lang.String` | `toCleanString(java.nio.charset.Charset charset)`
    `java.lang.String` | `toDetailedString()`
    `java.lang.String` | `toJsonString()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BUFFER_MULTIPLIER

          public static final java.lang.Float BUFFER_MULTIPLIER

  - ### Constructor Detail

    - #### Data

          public Data()

    - #### Data

          public Data(java.lang.Long id)

    - #### Data

          public Data(byte[] data)

    - #### Data

          public Data(java.lang.String name,
                      byte[] data)

    - #### Data

          public Data(java.lang.String value)

  - ### Method Detail

    - #### setPreview

          public void setPreview(byte[] preview)

    - #### setId

          public void setId(java.lang.Long id)

    - #### setData

          public void setData(byte[] data)

    - #### setBlob

          public void setBlob(byte[] blob)

    - #### setName

          public void setName(java.lang.String name)

    - #### getPreview

          public byte[] getPreview()

    - #### getName

          public java.lang.String getName()

    - #### getId

          public java.lang.Long getId()

    - #### getData

          public byte[] getData()

    - #### getBlob

          public byte[] getBlob()

    - #### getAttachments

          public java.util.Map<java.lang.String,java.lang.Object> getAttachments()

    - #### setShallowCopy

          public void setShallowCopy(boolean shallowCopy)

    - #### isShallowCopy

          public boolean isShallowCopy()

    - #### fetchData

          public byte[] fetchData(ContextManager cm,
                                  CallerController cc)
                           throws ContextException

      Throws:
        `ContextException`

    - #### fetchPreviewData

          public byte[] fetchPreviewData(ContextManager cm,
                                         CallerController cc)
                                  throws ContextException

      Throws:
        `ContextException`

    - #### toDetailedString

          public java.lang.String toDetailedString()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toJsonString

          public java.lang.String toJsonString()

    - #### toCleanString

          public java.lang.String toCleanString()

    - #### toCleanString

          public java.lang.String toCleanString(java.nio.charset.Charset charset)

    - #### clone

          public Data clone()

      Specified by:
        `clone` in interface `PublicCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### setAttachments

          public void setAttachments(java.util.Map<java.lang.String,java.lang.Object> attachments)

    - #### encode

          public java.lang.String encode()

    - #### encode

          public java.lang.StringBuilder encode(java.lang.StringBuilder sb,
                                                ClassicEncodingSettings settings,
                                                java.lang.Boolean isTransferEncode,
                                                java.lang.Integer encodeLevel)

      Specified by:
        `encode` in interface `StringEncodable`

    - #### estimateDataSize

          public int estimateDataSize()

    - #### releaseData

          public void releaseData()